Position (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.Position interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys
Interface Position

All Known Subinterfaces:
  Geography, Room, SiteInfo, Zone

    public interface Position

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAisle()` Description: The column or longitudinal division of an interior area.
`float` | `getAltitude()` Description: The vertical height above sea level at the particular geographical location.
`java.lang.String` | `getRackPosition()` Description: The particular vertical position on a data center rack.
`java.lang.String` | `getRow()` Description: The latitudinal division of an interior area.
`java.lang.String` | `getXCoordinate()` Description: The abscissa - the longitude.
`java.lang.String` | `getYCoordinate()` Description: The ordinate - the latitude.
`boolean` | `hasAisle()`
`boolean` | `hasAltitude()`
`boolean` | `hasRackPosition()`
`boolean` | `hasRow()`
`boolean` | `hasXCoordinate()`
`boolean` | `hasYCoordinate()`
`void` | `setAisle(java.lang.String x)`
`void` | `setAltitude(float x)`
`void` | `setRackPosition(java.lang.String x)`
`void` | `setRow(java.lang.String x)`
`void` | `setXCoordinate(java.lang.String x)`
`void` | `setYCoordinate(java.lang.String x)`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getAltitude

    float getAltitude()
                      throws AttributeNotSetException

  Description: The vertical height above sea level at the particular geographical location. Standard Content Origin / Best Practice Content: Sea level is altitude 0, positive values represent vertical distance above sea level. Negative values represent vertical distance below sea level. Example: 300 Unit of Measure: feet Maximum length (or range): within range of Float datatype

  Throws:
    `AttributeNotSetException`

### setAltitude

    void setAltitude(float x)

### hasAltitude

    boolean hasAltitude()

### getRow

    java.lang.String getRow()
                            throws AttributeNotSetException

  Description: The latitudinal division of an interior area. Standard Content Origin / Best Practice Content: Provide the row characteristics for the resource instance. The content of this attribute should match to a obtainable physical location of the structure that contains the aisle. Follow the best practices for the organization implementing this attribute. Example: 3 Unit of Measure: n/a Maximum length (or range): within the range of possible rows for the building.

  Throws:
    `AttributeNotSetException`

### setRow

    void setRow(java.lang.String x)

### hasRow

    boolean hasRow()

### getYCoordinate

    java.lang.String getYCoordinate()
                                    throws AttributeNotSetException

  Description: The ordinate - the latitude. The angular distance (north and south) from the equator on the earth's surface. Standard Content Origin / Best Practice Content: represented in decimal notation, Y Corodinate must be present on the earth. Example: -78.838753 Unit of Measure: decimal notation Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setYCoordinate

    void setYCoordinate(java.lang.String x)

### hasYCoordinate

    boolean hasYCoordinate()

### getXCoordinate

    java.lang.String getXCoordinate()
                                    throws AttributeNotSetException

  Description: The abscissa - the longitude. The angular distance (east and west) from the prime meridian on the earth's surface. Standard Content Origin / Best Practice Content: represented in decimal notation, X Corodinate must be present on the earth. Follow the best practices for the organization implementing this attribute. Example: 35.832636 Unit of Measure: decimal notation Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setXCoordinate

    void setXCoordinate(java.lang.String x)

### hasXCoordinate

    boolean hasXCoordinate()

### getRackPosition

    java.lang.String getRackPosition()
                                     throws AttributeNotSetException

  Description: The particular vertical position on a data center rack. Given a rack, this value represents where in the rack a particular resource is located. Standard Content Origin / Best Practice Content: Provide the rack position for the resource instance. The content of this attribute should match to a obtainable rack position given a particular position in the floor. Follow the best practices for the organization implementing this attribute. Example: 24 Unit of Measure: n/a Maximum length (or range): within the range of possible rack positions for a rack.

  Throws:
    `AttributeNotSetException`

### setRackPosition

    void setRackPosition(java.lang.String x)

### hasRackPosition

    boolean hasRackPosition()

### getAisle

    java.lang.String getAisle()
                              throws AttributeNotSetException

  Description: The column or longitudinal division of an interior area. Standard Content Origin / Best Practice Content: Provide the aisle characteristics for the resource instance. The content of this attribute should match to a obtainable physical location of the structure that contains the aisle. Follow the best practices for the organization implementing this attribute. Example: R Unit of Measure: n/a Maximum length (or range): within the range of possible aisles for the building.

  Throws:
    `AttributeNotSetException`

### setAisle

    void setAisle(java.lang.String x)

### hasAisle

    boolean hasAisle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD